Name: tux
%define major 2
%define minor 2
%define patchlevel 5
Version: %{major}.%{minor}.%{patchlevel}
Release: 1
Summary: User-space component of TUX kernel-based threaded HTTP server
Copyright: GPL
Group: System Environment/Daemons
Source: tux-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig
BuildPrereq: glib-devel, popt

ExclusiveArch: i386 ia64 alpha

%description
TUX is a kernel-based, threaded, extremely high performance HTTP server.
It is able to efficiently and safely serve both static and dynamic data.
TUX moves the HTTP protocol stack to the kernel, and can handle requests
for data with both kernel-space and user-space modules.

See http://www.redhat.com/mailing-lists/ for instructions on subscribing
to tux-list@redhat.com; users of TUX have the opportunity to share their
experiences and receive notices of new versions on that list.

%prep
%setup

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install TOPDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add tux

%preun
if [ "$1" = 0 ]; then
    service tux stop > /dev/null 2>&1
    /sbin/chkconfig --del tux
    rm -rf /var/tux/*
fi

%postun
if [ "$1" -ge "1" ]; then
    service tux condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/sbin/*
%config %attr(0755,root,root) /etc/rc.d/init.d/*
%config %attr(0644,root,root) /etc/sysconfig/*
%config(noreplace) %attr(0644,root,root) /etc/logrotate.d/*
%config %attr(0644,root,root) /etc/tux.mime.types
%attr(0644,root,root) /usr/share/man/man*/*
%attr(0644,root,root) /usr/include/*
%attr(0700,root,root) %dir /var/tux
%doc tux.README NEWS SUCCESS gettuxconfig checkbindings demo.c demo.tux.so demo2.c demo2.tux.so demo3.c demo3.tux.so demo4.c demo4.tux.so demo5.tux.so samples/sample.log samples/sample.out docs/tux docs/TUXAPI*

%changelog
* Wed Mar 27 2002 Michael K. Johnson <johnsonm@redhat.com>
- If /etc/sysctl.tux exists, it is read after the tux module is loaded

* Mon Mar 18 2002 Michael K. Johnson <johnsonm@redhat.com>
- LOGFILE= and logrotate script added in 2.2.4

* Tue Jan 08 2002 Michael K. Johnson <johnsonm@redhat.com>
- 2.2.0 has binary imcompatibilities, unfortunately; you will
  have to recompile your tux modules

* Thu Jun 21 2001 Arjan van de Ven <arjanv@redhat.com>
- Make it work on ia64
- Make it compile the src.rpm

* Thu May 31 2001 Michael K. Johnson <johnsonm@redhat.com>
- Move to version 2.1.0 because of forwards-incompatible change
  (still backwards-compatible)

* Wed Apr 04 2001 Michael K. Johnson <johnsonm@redhat.com>
- fix docs dir permissions (#34743)

* Sun Apr 01 2001 Michael K. Johnson <johnsonm@redhat.com>
- buildprereq, %config, install tux.mime.types
- demo*.tux.so

* Fri Mar 30 2001 Michael K. Johnson <johnsonm@redhat.com>
- building a new package with more recent updates to match newer kernel

* Wed Feb 07 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0.2 fixes a few more bugs and adds checkbindings

* Fri Feb 02 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0.1 fixes a few small bugs

* Wed Jan 31 2001 Michael K. Johnson <johnsonm@redhat.com>
- tux-2.0 daemon release to match TUX 2.0 kernel release...

* Sun Jan 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- RC release for TUX 2.0

* Wed Jan 10 2001 Michael K. Johnson <johnsonm@redhat.com>
- Fix mime-type handling that rotted...

* Fri Dec 01 2000 Michael K. Johnson <johnsonm@redhat.com>
- Preparing for new release:
  o  New, faster date routine
  o  Better command-line option handling
  o  Removed counttux now that tux2w3c has the -c option
  o  Fixed docroot/modulepath handling
  o  More info in tux2w3c

* Thu Aug 31 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updates to match new kernel functionality

* Thu Aug 24 2000 Michael K. Johnson <johnsonm@redhat.com>
- initial release
